<?php
	/*
	Template Name: Photos
	*/
?>
<!-- ?php get_header(); ? -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<style type="text/css" media="screen">

	#page { background: url("<?php bloginfo('stylesheet_directory'); ?>/images/kubrickbgwide.jpg") repeat-y top; border: none; }

</style>

<?php wp_head(); ?>
</head>
<body>
<div id="page">


<div id="header">
	<div id="headerimg">
		<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
		<div class="description"><?php bloginfo('description'); ?></div>
	</div>
</div>
<hr />
<?php photos_init(); ?>

	<div id="content" class="widecolumn">

		<?php if (is_photo()): ?>

        <div class="navigation">
            <div class="alignleft">&laquo; 
                <a href="<?php photos_photo_prev_href(); ?>"><?php photos_photo_prev_url('thumbnail'); ?></a>
            </div>

            <div class="alignright"> 
                <a href="<?php photos_photo_next_href(); ?>"><?php photos_photo_next_url('thumbnail'); ?></a>
            &raquo;</div>
        </div>

        <br clear=all />

		<div class="post">
		    <h2><?php photos_photo_title($photo_id); ?></h2>
			<div class="entry">
            	<p style="text-align: center;">
            	<a href="<?php photos_photo_page_url(); ?>">
           	    <img style="border: solid 1px black;"
                    src="<?php photos_photo_url('medium'); ?>" /></a>
                </p>
            	<p><?php photos_photo_description(); ?></p>

                <p class="postmetadata alt">This photograph was taken
                ??? and is tagged as:
                <?php photos_photo_tags('', ', '); ?>.</p>
			</div>
		</div>

        <?php else: ?>

	        <?php if ($_REQUEST['tag']): ?>
                <!-- by tag ... -->
                <h2>Photographs tagged "<?php print $_REQUEST['tag']?>"</h2>
        	<?php else: ?>
                <!-- just an index -->
        		<h2>Photographs</h2>
            <?php endif; ?>

            <div class="entry">
                <!-- the index proper -->
	            <p style="text-align: center;">
            	<?php photos_index(25, 5, '', 'square', '', '', '<br />' ); ?>
                </p>
        		<p>Pages: <?php photos_pageindex(3, 25); ?></p>
            </div>

		<?php endif; ?>

	</div>

<!-- ?php get_sidebar(); ? -->

<?php get_footer(); ?>
